<header id="site-header" class="site-header desktop-view--{{ section.settings.menu_style }} header-scroll">

  <!-- logo -->
  
  {% if template == 'index' %}
    <h1 class="logo" itemscope itemtype="//schema.org/Organization">
  {% else %}
    <span class="logo" itemscope itemtype="//schema.org/Organization">
  {% endif %}

    {% if section.settings.logo_src %}

      <a class="logo-img" href="/" itemprop="url">
        <div class="logo-part-1-wrapper">
          <img class="logo-part-1" src="{{ 'logo-part-1_v2.png' | asset_url }}" alt="{{ shop.name }}"  style="max-width: {{ section.settings.logo_width | escape }}px;" />
          <img class="hovered-logo" src="{{ 'logo-part-1_v2.png' | asset_url }}" alt="{{ shop.name }}" style="max-width: {{ section.settings.logo_width | escape }}px;" />
        </div>
         <img class="logo-part-2" src="{{ 'logo-part-2.png' | asset_url }}" alt="{{ shop.name }}" style="max-width: {{ section.settings.logo_width | escape }}px;" />
        
<!--         <img src="{{ section.settings.logo_src | img_url: 'master' }}" alt="{{ shop.name }}" style="max-width: {{ section.settings.logo_width | escape }}px;" /> -->
        
      </a>

    {% else %}

      <a class="logo-txt" href="/" itemprop="url">{{ shop.name }}</a>

    {% endif %}

  {% if template == 'index' %}
    </h1>
  {% else %}
    </span>
  {% endif %}

  <!-- menu -->

  <div id="site-nav--desktop" class="site-nav style--classic">

    <div class="site-nav-container portable--hide">
      <nav class="primary-menu">{% include 'header_nav-menu' with section.settings.menu_main_select %}</nav>
    </div>

    {% if template.name == 'collection' %}

      <button id="site-filter-handle" class="site-filter-handle" aria-label="{{ 'general.navigation.open_filters' | t }}">
        <span class="filter-menu" aria-hidden="true">
          <span class="bar"></span><span class="bar"></span><span class="bar"></span>
        </span>
      </button>

    {% endif %}

    <span id="site-search-handle" class="site-search-handle" aria-label="{{ 'general.navigation.open_search' | t }}" title="{{ 'general.navigation.open_search' | t }}">

      <a href="/search">
        <span class="search-menu" aria-hidden="true">
          {% include 'asset_svg' with 'search_icon' %}
        </span>
      </a>

    </span>

    <span id="site-cart-handle" class="site-cart-handle {{ settings.cart_action }}" aria-label="{{ 'general.navigation.open_cart' | t }}" title="{{ 'general.navigation.open_cart' | t }}">
    
        <a href="/cart">
          <span class="cart-menu" aria-hidden="true">
            {% include 'asset_svg' with 'cart_icon' %}
            <span class="count-holder"><span class="count">{{ cart.item_count }}</span></span>
          </span>
        </a>
  
    </span>

    <button id="site-menu-handle" class="site-menu-handle hide portable--show" aria-label="{{ 'general.navigation.open_menu' | t }}" title="{{ 'general.navigation.open_menu' | t }}">
      <span class="hamburger-menu" aria-hidden="true"><span class="bar"></span></span>
    </button>

  </div>

  {% if section.settings.bar_enable %}

    {% if section.settings.bar_link != blank %}
      <a href="{{ section.settings.bar_link }}" class="box__banner style--bar">
    {% else %}
      <div class="box__banner style--bar">
    {% endif %}

      <div class="content">{{ section.settings.bar_content }}</div>

    {% if section.settings.bar_link != blank %}
      </a>
    {% else %}
      </div>
    {% endif %}

    <style>
      .site-header {
        margin-top: 34px;
      }
      .site-header .box__banner {
        background-color: {{ section.settings.bar_bgcolor }};
        color: {{ section.settings.bar_txtcolor }} !important;
      }
    </style>

  {% endif %}

</header>

<div id="site-nav--mobile" class="site-nav style--sidebar">

  {% include 'sidebar_content-menu' %}

  {% if template.name == 'collection' %}
    {% include 'sidebar_content-filters' %}
  {% endif %}

  {% include 'sidebar_content-cart' %}

  {% include 'sidebar_content-search' %}

  <button id="site-close-handle" class="site-close-handle" aria-label="{{ 'general.navigation.close_sidebar' | t }}" title="{{ 'general.navigation.close_sidebar' | t }}">
    <span class="hamburger-menu active" aria-hidden="true"><span class="bar animate"></span></span>
  </button>
</div>

{% schema %}
  {
    "name": "Header",
    "class": "mount-header",
    "max_blocks": 6,
    "settings": [
      {
        "type": "image_picker",
        "id": "logo_src",
        "label": "Logo image"
      },
      {
        "type": "range",
        "id": "logo_width",
        "label": "Logo image width",
        "unit": "px",
        "min": 20,
        "max": 400,
        "step": 5,
        "default": 100
      },
      {
        "type": "link_list",
        "id": "menu_main_select",
        "label": "Menu",
        "default": "main-menu"
      },
      {
        "type": "select",
        "id": "menu_style",
        "label": "Desktop menu style",
        "options": [
          {
            "value": "classic",
            "label": "Classic"
          },
          {
            "value": "minimal",
            "label": "Minimal"
          }
        ]
      },
      {
        "type": "header",
        "content": "Announcement bar"
      },
      {
        "type": "checkbox",
        "id": "bar_enable",
        "label": "Show bar",
        "default": false
      },
      {
        "type": "text",
        "id": "bar_content",
        "label": "Content",
        "default": "Use this bar for a short, important announcement.",
        "info": "Max 50 characters"
      },
      {  
        "type": "url",
        "id": "bar_link",
        "label": "Link"
      },
      {
        "type": "color",
        "id": "bar_bgcolor",
        "label": "Background color",
        "default": "#D23232"
      },
      {
        "type": "color",
        "id": "bar_txtcolor",
        "label": "Text color",
        "default": "#ffffff"
      }
    ],
    "blocks": [
      {
        "type": "collection",
        "name": "Collection",
        "settings": [
          {
            "type": "collection",
            "id": "collection_select",
            "label": "Collection"
          }
        ]
      }
    ]
  }
{% endschema %}

<style>
  .site-header.desktop-view--minimal{
       padding: 23px 20px!important;
  }
</style>